org.labkey.remoteapi.di

## Class RunTransformResponse

- java.lang.Object
- - org.labkey.remoteapi.CommandResponse
  - - org.labkey.remoteapi.di.BaseTransformResponse
    - - org.labkey.remoteapi.di.RunTransformResponse

-     public class RunTransformResponse
      extends BaseTransformResponse

  User: tgaluhn Date: 10/29/13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunTransformResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, Command sourceCommand)` Constructs a new CommandResponse, initialized with the provided response text and status code.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getJobId()`
    `java.lang.String` | `getPipelineURL()`
    `java.lang.String` | `getStatus()`

    - ### Methods inherited from class org.labkey.remoteapi.di.BaseTransformResponse

      `getSuccess`

    - ### Methods inherited from class org.labkey.remoteapi.CommandResponse

      `findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunTransformResponse

          public RunTransformResponse(java.lang.String text,
                                      int statusCode,
                                      java.lang.String contentType,
                                      org.json.simple.JSONObject json,
                                      Command sourceCommand)

      Constructs a new CommandResponse, initialized with the provided response text and status code.
      Parameters:
        `text` - The response text
        `statusCode` - The HTTP status code
        `contentType` - The response content type
        `json` - The parsed JSONObject (or null if JSON was not returned).
        `sourceCommand` - A copy of the command that created this response

  - ### Method Detail

    - #### getJobId

          public java.lang.String getJobId()

      Returns:
        The pipeline job id.

    - #### getPipelineURL

          public java.lang.String getPipelineURL()

      Returns:
        The URL for the pipeline status page for this job

    - #### getStatus

          public java.lang.String getStatus()

      Returns:
        The job status- success, complete, error, or 'no work'